#define MAXPICSIZE 65535

// Datos del puerto, pines y polaridades del PIC
struct _pconfig
{
  int	port;	// Puerto paralelo /dev/lpX
  
	int	PIC_type;		// Tipo de PIC => 0 = PIC16C84		
  					 
  unsigned int	CFaddr; // dir de Config Fuses
  unsigned int	IDaddr; // dir del ID del PIC
  unsigned int	EEaddr; // dir de EEPRPOM
  int	VPP_pin; // VPP
  int	VPP_pol; // Polaridad normal=0/invertida=1
  int	VDD_pin; // Vdd
  int	VDD_pol; // Polaridad
  int	CLK_pin; // Clock
  int	CLK_pol; // Polaridad
  int	DATAO_pin; // Control datos al PIC
  int	DATAO_pol; // Polaridad
  int	DATAI_pin; // Control datos del PIC
  int	DATAI_pol; // Polaridad
};

// Mapa de memoria del PIC
struct _pic
{
  unsigned int	mem[MAXPICSIZE];
};


// Definimos dos estructuras del tipo de las anteriores
// que sern las utilizadas en todo el programa
struct _pic	pic;
struct _pconfig	pconfig;




