#include <stdio.h>
#include <unistd.h>

#define flushall() fflush(NULL) 
// fflush - vuelca los datos de un flujo a disco
// Si el argumento flujo es NULL, fflush hace un volcado a disco de  todos
// los flujos de salida que estn abiertos.


#define NUM_PORTS       10    // Nmero mximo de puertos paralelos lp0->lp9
#define MAXPATHLEN      1024  // Longitud mxima del PATH para los archivos

#define	PIC16C84	0    // para poder ampliar a otros PICs en un futuro

// diferentes opciones
#define OPT_QUIET       0x0001
#define OPT_VERIFY      0x0002
#define OPT_DEBUG       0x0004

#define MAXPICSIZE 65535 // Tamao mximo de la memoria del PIC

void read_config(void);
int write_config(void);
void show_mem( int mem_start );
void edit_pic(void);
void init_pic(void);
int load_hex( char *fname );
int write_hex( char *fname );
int write_file(char *path);
void fill_mem(void);
void usage( char *prog_name );
